Loading...
Searching...
No Matches
geo_domain_indirect.cc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_geo_domain_cstor(M)
#define | _RHEOLEF_instanciation(T, M) template class geo_domain_indirect_rep<T,M>;

## Functions

| _RHEOLEF_geo_domain_cstor (sequential) _RHEOLEF_geo_domain_cstor(distributed) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_geo_domain_cstor

#define _RHEOLEF_geo_domain_cstor | ( |  | M | ) |

Value:
template <class T> \
geo_domain_indirect_rep<T,M>::geo_domain_indirect_rep() \
: base() \
{ \
} \
template <class T> \
geo_domain_indirect_rep<T,M>::geo_domain_indirect_rep ( \
const geo_domain_indirect_rep<T,M>& x) \
: base(x) \
{ \
trace_macro ("*** PHYSICAL COPY OF GEO_DOMAIN_INDIRECT \""<<base::name()<<"\" ***"); \
} \
template <class T> \
geo_abstract_rep<T,M>* \
geo_domain_indirect_rep<T,M>::clone() const \
{ \
trace_macro ("*** CLONE GEO_DOMAIN_INDIRECT \""<<base::name()<<"\"***"); \
typedef geo_domain_indirect_rep<T,M> rep; \
return new_macro(rep(*this)); \
} \
template <class T> \
geo_domain_indirect_rep<T,M>::geo_domain_indirect_rep ( \
const domain_indirect_basic<M>& indirect, \
const geo_basic<T,M>& omega) \
: base(indirect,omega) \
{ \
}

Definition at line 30 of file geo_domain_indirect.cc.

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M
| ) |  | template class geo_domain_indirect_rep<T,M>;